VIORND(4)

NAME
viornd - VirtIO entropy source

SYNOPSIS
viornd* at virtio?

DESCRIPTION
When the system has entropy demand, the viornd driver, used with a compatible hypervisor such as QEMU, KVM, or Google Compute Engine, requests entropy using the VirtIO random number interface and feeds it into the system entropy pool.

SEE ALSO
rnd(4), virtio(4)

HISTORY
The viornd driver appeared in OpenBSD 5.5.

AUTHORS
-nosplit The viornd driver was written by Stephan Fritsch <sf@fritsch.de> and reworked to request entropy upon demand by Thor Lancelot Simon <tls@NetBSD.org>.

CAVEATS
VirtIO appears to support at least 8 pending entropy requests, but viornd currently supports only one pending request at a time.